Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.gouv.culture.sdx.search.lucene.analysis
Class AbstractAnalyzer

    java.lang.Object
      org.apache.lucene.analysis.Analyzer
          fr.gouv.culture.sdx.search.lucene.analysis.AbstractAnalyzer

All Implemented Interfaces:
  Analyzer, java.io.Serializable, org.apache.avalon.framework.configuration.Configurable, org.apache.avalon.framework.logger.LogEnabled, org.apache.excalibur.xml.sax.XMLizable

Direct Known Subclasses:
  Analyzer_ar, DefaultAnalyzer, Glosser_ar_en, MetaAnalyzer

    public abstract class AbstractAnalyzer

extends org.apache.lucene.analysis.Analyzer
implements Analyzer

An abstract implementation of a SDX analyzer.

It handles properly the logging and configuring methods. For configuration, it does nothing.

See Also:
  Serialized Form

Field Summary
`protected org.apache.avalon.framework.logger.Logger` | `logger` Avalon super.getLog() to write information.

Constructor Summary
`AbstractAnalyzer()`

Method Summary
`void` | `configure(org.apache.avalon.framework.configuration.Configuration configuration)` Configures this analyzer, currently has no function, only in its subclasses.
`void` | `enableLogging(org.apache.avalon.framework.logger.Logger logger)` Sets the super.getLog().
`protected abstract java.lang.String` | `getAnalyzerType()`
`void` | `toSAX(org.xml.sax.ContentHandler handler)`

Methods inherited from class org.apache.lucene.analysis.Analyzer
`getPositionIncrementGap, tokenStream`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface fr.gouv.culture.sdx.search.lucene.analysis.Analyzer
`tokenStream, tokenStream`

Field Detail

### logger

    protected transient org.apache.avalon.framework.logger.Logger logger

  Avalon super.getLog() to write information.

Constructor Detail

### AbstractAnalyzer

    public AbstractAnalyzer()

Method Detail

### getAnalyzerType

    protected abstract java.lang.String getAnalyzerType()

### enableLogging

    public void enableLogging(org.apache.avalon.framework.logger.Logger logger)

  Sets the super.getLog().

  Specified by:
    `enableLogging` in interface `org.apache.avalon.framework.logger.LogEnabled`
  Parameters:
    `logger` - The super.getLog() to use.

### configure

    public void configure(org.apache.avalon.framework.configuration.Configuration configuration)
                   throws org.apache.avalon.framework.configuration.ConfigurationException

  Configures this analyzer, currently has no function, only in its subclasses.

  Specified by:
    `configure` in interface `org.apache.avalon.framework.configuration.Configurable`
  Throws:
    `org.apache.avalon.framework.configuration.ConfigurationException`

### toSAX

    public void toSAX(org.xml.sax.ContentHandler handler)
               throws org.xml.sax.SAXException

  Specified by:
    `toSAX` in interface `org.apache.excalibur.xml.sax.XMLizable`
  Throws:
    `org.xml.sax.SAXException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Ministere de la culture et de la communication / AJLSM. All Rights Reserved.